Class List Method List File List

# Class: Concurrent::Edge::AtomicMarkableReference::ImmutableArray

Inherits:
  Array
  - Object
  - Array
  - Concurrent::Edge::AtomicMarkableReference::ImmutableArray
  show all
Defined in:
  lib/concurrent/edge/atomic_markable_reference.rb

## Overview

Internal/private ImmutableArray for representing pairs

## Class Method Summary (collapse)

- + (undocumented) new(*args)

## Class Method Details

### + (`undocumented`) new(*args)

    178
    179
    180

    # File 'lib/concurrent/edge/atomic_markable_reference.rb', line 178

    def self.new(*args)
      super(*args).freeze
    end